PDA

View Full Version : error when compiling using gwt 2.1.1 and gxt 1.2.5



hmchaalia
14 Feb 2012, 2:43 AM
I 'm working on application and need to use drag and drop functionnalities offered by GXT, I'm using GWT 2.1.1 with GXT 1.2.5 and when compiling i had this error

[DEBUG] - Validating newly compiled units [ERROR] - Errors in 'jar:file:/gxt-1.2.5/gxt.jar!/com/extjs/gxt/ui/client/widget/Component.java' [ERROR] - Line 1280: Cannot reduce the visibility of the inherited method from Widget[TRACE] - Finding entry point classes [ERROR] - Unable to find type 'com.sun.xgl.editor.client.GxtSample' [ERROR] - Hint: Previous compiler errors may have made this type unavailable [ERROR] - Hint: Check the inheritance chain from your module; it may not be inheriting a required module or a module may not be adding its source path entries properly[ERROR] - Failed to load module 'gxtsample' from user agent 'Mozilla/5.0 (Ubuntu; X11; Linux i686; rv:9.0.1) Gecko/20100101 Firefox/9.0.1' at localhost:50680Is that due to incompatibility between both versions of gwt and gxt ?
In this case can I use gwt-dnd inspite of basic gxt drag and drop ?